[*description*][description]

# SmartDashesType enum Null safety #

Indicates how to handle the intelligent replacement of dashes in text input.

See also:

 *  TextField.smartDashesType
 *  CupertinoTextField.smartDashesType
 *  EditableText.smartDashesType
 *  SmartQuotesType
 *  [developer.apple.com/documentation/uikit/uitextinputtraits][developer.apple.com_documentation_uikit_uitextinputtraits]

## Constants ##

disabled → const SmartDashesType

Smart dashes is disabled.

This corresponds to the ["no" value of UITextSmartDashesType][no_ value of UITextSmartDashesType].

`const SmartDashesType(0)`

enabled → const SmartDashesType

Smart dashes is enabled.

This corresponds to the ["yes" value of UITextSmartDashesType][yes_ value of UITextSmartDashesType].

`const SmartDashesType(1)`

values → const List<SmartDashesType>

A constant List of the values in this enum, in order of their declaration.

`const List<SmartDashesType>`

## Properties ##

hashCode → int

The hash code for this object. \[...\]

read-only, inherited

index → int

The integer index of this enum.

final

runtimeType → Type

A representation of the runtime type of the object.

read-only, inherited

## Methods ##

noSuchMethod(Invocation invocation) → dynamic

Invoked when a non-existent method or property is accessed. \[...\]

inherited

toString() → String

Returns a string representation of this object.

override

## Operators ##

operator ==(Object other) → bool

The equality operator. \[...\]

inherited


[description]: https://github.com/flutter/flutter/blob/master/packages/flutter/lib/src/services/text_input.dart#L38
[developer.apple.com_documentation_uikit_uitextinputtraits]: https://developer.apple.com/documentation/uikit/uitextinputtraits
[no_ value of UITextSmartDashesType]: https://developer.apple.com/documentation/uikit/uitextsmartdashestype/no
[yes_ value of UITextSmartDashesType]: https://developer.apple.com/documentation/uikit/uitextsmartdashestype/yes