[*description*][description]

# TargetPlatform enum Null safety #

The platform that user interaction should adapt to target.

The defaultTargetPlatform getter returns the current platform.

## Constants ##

android → const TargetPlatform

Android: [www.android.com/][www.android.com]

`const TargetPlatform(0)`

fuchsia → const TargetPlatform

Fuchsia: [fuchsia.dev/fuchsia-src/concepts][fuchsia.dev_fuchsia-src_concepts]

`const TargetPlatform(1)`

iOS → const TargetPlatform

iOS: [www.apple.com/ios/][www.apple.com_ios]

`const TargetPlatform(2)`

linux → const TargetPlatform

Linux: [www.linux.org][]

`const TargetPlatform(3)`

macOS → const TargetPlatform

macOS: [www.apple.com/macos][www.apple.com_macos]

`const TargetPlatform(4)`

values → const List<TargetPlatform>

A constant List of the values in this enum, in order of their declaration.

`const List<TargetPlatform>`

windows → const TargetPlatform

Windows: [www.windows.com][]

`const TargetPlatform(5)`

## Properties ##

hashCode → int

The hash code for this object. \[...\]

read-only, inherited

index → int

The integer index of this enum.

final

runtimeType → Type

A representation of the runtime type of the object.

read-only, inherited

## Methods ##

noSuchMethod(Invocation invocation) → dynamic

Invoked when a non-existent method or property is accessed. \[...\]

inherited

toString() → String

Returns a string representation of this object.

override

## Operators ##

operator ==(Object other) → bool

The equality operator. \[...\]

inherited


[description]: https://github.com/flutter/flutter/blob/master/packages/flutter/lib/src/foundation/platform.dart#L44
[www.android.com]: https://www.android.com/
[fuchsia.dev_fuchsia-src_concepts]: https://fuchsia.dev/fuchsia-src/concepts
[www.apple.com_ios]: https://www.apple.com/ios/
[www.linux.org]: https://www.linux.org
[www.apple.com_macos]: https://www.apple.com/macos
[www.windows.com]: https://www.windows.com